> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/55.-lataa-zip-tiedostoja-yli-6-mb.md).

# 55. Lataa zip-tiedostoja (yli 6 MB)

AWS-pilvipalveluntarjoajan teknisen rajoituksen vuoksi yli 6 Mt tiedostojen lataus on tehtävä kahdessa vaiheessa:

#### **1. Pyydä etukäteen allekirjoitettu linkki jatkoa varten suoraa latausta varten.**  <a href="#step1" id="step1"></a>

Syötteenä:&#x20;

* `fileType` - `sato` TAI `maaperä` TAI `levitetyn` TAI `adapt` TAI `raja`,&#x20;
* `farmUuid` (valinnainen) - tilan (farm) uuid, johon tiedosto tuodaan.&#x20;

Tulosteena:

* `uuid` - odotettu uuid latauksen ja käsittelyn jälkeen,
* `farmUuid` - sama kuin syötteessä,
* `fileType` - sama kuin syötteessä,
* `s3Url` - URL-osoite, jota käytetään tiedoston lataamiseen,
* `s3Fields` - attribuutit, jotka tulee liittää latauslomakkeeseen.

Yksityiskohdat siitä, miten käyttää `s3Url` ja `s3Fields` on kuvattu toisessa vaiheessa.&#x20;

Attribuutit ovat voimassa vain 60 minuuttia tiedoston lataamista varten.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation GeneratePresignedPostFileData {
  generatePresignedPostFileData(input:{
    fileType: applied
    farmUuid: "8bba5132-3a92-4ce1-8699-220e78ad68bd"
  } ) {
    uuid
    farmUuid
    fileType
    s3Url
    s3Fields
  }
}

```

{% endcode %}

#### **2. Lähetä paikallinen tiedosto s3Url-osoitteeseen käyttäen s3Fields-kentistä annettuja lomakeattribuutteja.**  <a href="#step2" id="step2"></a>

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST '<s3Url>' \
--form 'key="<value_in_s3Fields>"' \
--form 'AWSAccessKeyId="<value_in_s3Fields>"' \
--form 'x-amz-security-token="<value_in_s3Fields>"' \
--form 'policy="<value_in_s3Fields>"' \
--form 'signature="<value_in_s3Fields>"' \
--form 'file=@"<local_file_path>"'
```

{% endcode %}

Ilmoitukset käsittelystä toimitetaan tilausmekanismin kautta, joka on kuvattu kohdassa\
&#x20;[1. Tilauksen tekeminen: Hae tapahtumia](/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/1.-tilaus-hae-tapahtumat.md).

{% hint style="info" %}
Vastausotsikko sisältää `Etag` otsikon, joka näyttää esimerkiksi tältä `Etag: "6fd3e76992738357ab50039f2c60024e"`. Tätä arvoa käytetään myöhemmin GraphQL:ssa [query getPlatformContext](/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/83.-kysely-keraa-alustan-konteksti.md) seurantaan käsittelyprosessin edistymisestä sekä assosiaation seuraamiseen "Field", "AsAppliedDataset", "YieldDataset" ja "SoilDataset" -entiteettien kanssa.
{% endhint %}

{% hint style="info" %}
Käytä `‘Accept-Encoding’:’gzip, deflate, br’`.
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/fin/api-dokumentaatio/geopard-api-pyyntojen-yleiskatsaus/55.-lataa-zip-tiedostoja-yli-6-mb.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
